Bug 1112849 - Throbber animation in openSUSE plymouth theme has suboptimal amount of frames
Throbber animation in openSUSE plymouth theme has suboptimal amount of frames
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Sasi Olin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-23 07:33 UTC by Michal Srb
Modified: 2019-07-14 18:38 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Srb 2018-10-23 07:33:36 UTC
The throbber animation in plymouth-branding-openSUSE has 73 frames in Leap and 48 frames in Tumbleweed. This is suboptimal because plymouth is running the animation at 30 FPS and the animation loop has length 2 seconds. The optimal amount would be 60 frames.

In current state some frames are always skipped on Leap and some frames are always doubled on Tumbleweed. This is causing jitter in the animation in both cases. In Leap the theme also takes unnecessary space.

Can we re-render both animations to 60 frames?

By the way, the frame skipping in the Leap animation is also increasing the chances of triggering bug 1110199. That is however separate bug and has to be fixed directly in plymouth, I am working on that.
Comment 1 Stefan Dirsch 2019-03-27 14:54:10 UTC
Not sure, why this has been ignored for such a long time. Maybe reassigned to the wrong person?

plymouth-branding-openSUSE is a subpackage of branding-openSUSE, which maintainer/bugowners are

   RBrownCCB, bruno_friedmann
   a_jaeger, RBrownCCB, bruno_friedmann, snwint, favogt, dimstar, hellcp

Adding these to Cc. Maybe then we can find the right one to address that issue ...

Unfortunately Michal Srb left the comany ...
Comment 2 Stefan Dirsch 2019-03-27 14:56:51 UTC
These files in openSUSE.tar.xz tarball:

openSUSE/plymouth/theme/throbber-00*.png
Comment 3 Stefan Dirsch 2019-03-27 14:58:44 UTC
Adding also Ludwig ...
Comment 4 Sasi Olin 2019-03-27 15:19:28 UTC
Eh, alright, I was planning to drop the Tumbleweed one entirely, and use bgrt theme instead, with added Tumbleweed/Leap logo somewhere (I don't think leap has new enough plymouth to use bgrt, but I didn't check). Leap was exported weirdly from blender file, I will fix that stuff.
Comment 5 Stefan Dirsch 2019-03-27 15:42:33 UTC
(In reply to Stasiek Michalski from comment #4)
> Eh, alright, I was planning to drop the Tumbleweed one entirely, and use
> bgrt theme instead, with added Tumbleweed/Leap logo somewhere (I don't think
> leap has new enough plymouth to use bgrt, but I didn't check). Leap was
> exported weirdly from blender file, I will fix that stuff.

Sounds promising! Thanks for taking care of!
Comment 6 Sasi Olin 2019-07-14 18:38:21 UTC
This is now fixed for Tumbleweed, Leap will get it when the packages get synced before Leap 15.2 release.